services:
  app:
    build: .
    ports:
      - "3000:3000"
    environment:
      - "APP_ENV=production"
      - "PORT=3000"
      - "SHOPIFY_APP_URL=https://purchases.cashital.miam.dev"
      - "SHOPIFY_API_KEY=698853f0d5c11da870f62589f3489fe4"
      - "SHOPIFY_API_SECRET=ca13f5494c66263347433ac7c75baf7b"
      - "SHOPIFY_SCOPES=read_products,write_products"
      - "SCOPES=read_products,write_products"
    volumes:
      - db-data:/prisma/database
volumes:
  db-data:
    external: true